module.exports = {
  defaultSidebar: [
    'intro',
    {
      type: 'category',
      label: 'FIT-Connect nutzen',
      collapsed: true,
      items: [
            'use_cases/sender',
            'use_cases/receiver',
      ]
    },
    {
      type: 'category',
      label: 'Infos für Verantwortliche',
      collapsed: true,
      items: [
        {
          type: 'category',
          label: 'Fachverfahren anbinden',
          collapsed: true,
          items: [
            'organisation-tasks/subscriber',
            'organisation-tasks/certificates',
            'organisation-tasks/routing',
          ],
        },
        'organisation-tasks/sender',
      ],
    },
    {
      type: 'category',
      label: 'Infos für Entwickler:innen',
      items: [
        'getting-started/get-started',
        'getting-started/account',
        'getting-started/authentication',
        {
          type: 'category',
          label: 'Aufbau einer Einreichung',
          items: [
            'getting-started/submission/structure',
            'getting-started/submission/metadata',
            'getting-started/submission/data',
          ]
        },
        {
          type: 'category',
          label: 'Versand von Einreichungen',
          items: [
            'sending/overview',
            'sending/start-submission',
            'sending/get-destination',
            'sending/metadata',
            'sending/encrypt',
            'sending/attachments',
            'sending/submit',
            'sending/accept-reject',
          ]
        },
        {
          type: 'category',
          label: 'Abruf von Einreichungen',
          items: [
            'receiving/overview',
            'receiving/certificate',
            'receiving/destination',
            'receiving/notification',
            'receiving/download-submission',
            'receiving/decrypt',
            'receiving/verification',
            'receiving/process-and-acknowledge',
          ]
        },
        {
          type: 'category',
          label: 'Ereignisprotokoll',
          items: [
            'getting-started/event-log/overview',
            'getting-started/event-log/events',
            'getting-started/event-log/get-events',
            'getting-started/event-log/set-creation',
            'getting-started/event-log/set-validation',
          ]
        },
        'getting-started/notifications-and-deletion-deadlines',
        'getting-started/schema-validation',
        'getting-started/encryption',
        'getting-started/rate-limiting',
        'status-and-error-codes',
      ],
    },
    {
      type: 'category',
      label: 'Weiterführende Informationen',
      items: [
        'details/ags',
        'details/ars',
        'details/callbacks',
        'details/crypto',
        'details/jwk-creation',
        'details/destination-management',
        'details/schema-reference',
        {
          type: 'category',
          label: 'Authentifizierung',
          items: [
            {
              type: 'autogenerated',
              dirName: 'details/authentication',
            },
          ],
        },
        /*
        {
          type: 'category',
          label: 'Authentifizierung (intern)',
          items: [
            {
              type: 'autogenerated',
              dirName: 'details/infrastructure-docs',
            },
          ],
        },
        */
        'details/responsible-disclosure',
      ]
    },
    'roadmap', 
    'glossary',
    'changelog',
    {
      type: 'link',
      label: 'Impressum',
      href: 'https://www.fitko.de/impressum',
    },
  ],
  metadataSidebar: [
    'metadata/overview',
    'metadata/authenticationInformation',
    'metadata/paymentInformation',
    'metadata/publicServiceType',
    'metadata/contentStructure',
    'metadata/replyChannel',
    'metadata/additionalReferenceInfo'
  ]
}
